<button class="p-0 btn shadow-none" data-toggle="collapse" href="#map-legend"><%= t '.title' %></button>

<div class="px-0 collapse container" id="map-legend">
  <hr>

  <div class="mb-2" id="facilities-types-legend">
    <strong style="display: inline-block; width: 250px"><%= t '.health_facilities_types' %>:</strong>

    <div class="mx-2 container-fluid">
      <div class="row">
        <div class="col-sm-4 container">
          <div class="row">
            <span class="legend-label marker-state align-self-center" style="width: 1.65em; height: 1.1em"></span>
            <%= t '.state' %>
          </div>
        </div>

        <div class="col-sm-4 container">
          <div class="row">
            <span class="legend-label marker-city align-self-center" style="width: 1.65em; height: 1.1em"></span>
            <%= t '.city' %>
          </div>
        </div>

        <div class="col-sm-4 container">
          <div class="row">
            <span class="legend-label marker-other align-self-center" style="width: 1.65em; height: 1.1em"></span>
            <%= t '.others' %>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="mb-2" id="facilities-rates-legend">
    <strong style="display: inline-block; width: 250px"><%= t '.health_facilities_by_procedures' %>:</strong>

    <div class="container">
      <div class="row align-items-center my-1">
        <div class="col-auto circle-marker-legend" style="padding: 0; margin: 0">
          <div class="mx-auto rounded-circle marker-state"></div>
        </div>
        <span class="col align-middle"></span>
      </div>

      <div class="row align-items-center my-1">
        <div class="col-auto circle-marker-legend" style="padding: 0; margin: 0">
          <div class="mx-auto rounded-circle marker-state"></div>
        </div>
        <span class="col align-middle"></span>
      </div>

      <div class="row align-items-center my-1">
        <div class="col-auto circle-marker-legend" style="padding: 0; margin: 0">
          <div class="mx-auto rounded-circle marker-state"></div>
        </div>
        <span class="col align-middle"></span>
      </div>
    </div>
  </div>

  <div class="mb-2" id="procedures-heatmap-legend" style="display: none">
    <strong style="display: inline-block; width: 250px"><%= t '.procedures_heatmap' %>:</strong>

    <div class="row align-items-center justify-content-start">
      <div class="col-1">0</div>
      <div class="col-8 align-self-center heatmap-legend" style="background-image: linear-gradient(to right, #2bffd3 25%, #fffd57 62%, #f93434 100%); height: 30px"></div>
      <div id="procedures-heatmap-max" class="col-2">42</div>
    </div>
  </div>

  <div class="mb-2" id="csw-heatmap-legend" style="display: none">
    <strong style="display: inline-block; width: 250px"><%= t '.csw_heatmap' %>:</strong>

    <div class="row align-items-center justify-content-start">
      <div class="col-1">0</div>
      <div class="col-8 align-self-center heatmap-legend" style="background-image: linear-gradient(to right, #2bffd3 25%, #fffd57 62%, #f93434 100%); height: 30px"></div>
      <div id="csw-heatmap-max" class="col-2">42</div>
    </div>
  </div>
</div>
